Skip to main content
POST
Generate organization billing usage report

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
from
string<date-time>
required

The start date of the report

Example:

"2020-01-01T00:00:00.000Z"

to
string<date-time>
required

The end date of the report

Example:

"2020-01-31T23:59:59.000Z"

report_expiration_in_seconds
integer
required

The number of seconds the report will be publicly available

Example:

3600

Response

billing usage report has been successfully generated

report_url
string

The URL of the report

delete_report_url
string

The URL to delete the report. Use this URL to pro-actively delete the report before it expires